Service Boundaries
Set vendor service boundaries
Replaces the vendor’s service boundaries with the provided list of boundary IDs. Send an empty list to clear all boundaries. Maximum 100 boundaries per vendor.
PUT
/
vendors
/
{vendorId}
/
service-boundaries
Set vendor service boundaries
curl --request PUT \
--url https://www.renovationfind.com/rest-manager-api-v1/vendors/{vendorId}/service-boundaries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"serviceBoundaryIds": [
123
]
}
'import requests
url = "https://www.renovationfind.com/rest-manager-api-v1/vendors/{vendorId}/service-boundaries"
payload = { "serviceBoundaryIds": [123] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({serviceBoundaryIds: [123]})
};
fetch('https://www.renovationfind.com/rest-manager-api-v1/vendors/{vendorId}/service-boundaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": 42,
"name": "Edmonton Central",
"urlPath": "edmonton-central",
"cityName": "Edmonton"
}
],
"message": "<string>"
}Authorizations
JWT token issued from the RenovationFind Manager Portal
Path Parameters
Body
application/json
Maximum array length:
100Previous
List available service boundariesLists all service boundaries, optionally filtered by city ID.
Next
⌘I
Set vendor service boundaries

